using skyscraper5.Skyscraper;
using skyscraper5.Skyscraper.Plugins;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper8.Skyscraper.Plugins
{
	public class ConfigureFromForeignApplication
	{
		private ConfigureFromForeignApplication() 
		{
			pluginManager = PluginManager.GetInstance();
		}

		private PluginManager pluginManager;

		private static ConfigureFromForeignApplication instance;
		public static ConfigureFromForeignApplication GetInstance()
		{
			if (instance == null)
			{
				instance = new ConfigureFromForeignApplication();
			}
			return instance;
		}

		public void SaveConfig()
		{
			pluginManager.SaveConfiguration();
		}

		public Ini Ini
		{
			get
			{
				return pluginManager.Ini;
			}
		}
	}
}
